Package com.google.gwt.canvas.dom.client

## Enum Context2d.Composite

- java.lang.Object
- - java.lang.Enum<Context2d.Composite>
  - - com.google.gwt.canvas.dom.client.Context2d.Composite

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Context2d.Composite>`
  Enclosing class:
    Context2d

      public static enum Context2d.Composite
      extends java.lang.Enum<Context2d.Composite>

  Enum for composite style.
  See Also:
    `Context2d.setGlobalCompositeOperation(Composite)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COPY` | A (B is ignored).
    `DESTINATION_ATOP` | B atop A.
    `DESTINATION_IN` | B in A.
    `DESTINATION_OUT` | B out A.
    `DESTINATION_OVER` | B over A.
    `LIGHTER` | A plus B.
    `SOURCE_ATOP` | A atop B.
    `SOURCE_IN` | A in B.
    `SOURCE_OUT` | A out B.
    `SOURCE_OVER` | A over B.
    `XOR` | A xor B.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValue()` |
    `static Context2d.Composite` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Context2d.Composite[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COPY

          public static final Context2d.Composite COPY

      A (B is ignored). Display the source image instead of the destination image.

    - #### DESTINATION_ATOP

          public static final Context2d.Composite DESTINATION_ATOP

      B atop A. Same as source-atop but using the destination image instead of the source image and vice versa.

    - #### DESTINATION_IN

          public static final Context2d.Composite DESTINATION_IN

      B in A. Same as source-in but using the destination image instead of the source image and vice versa.

    - #### DESTINATION_OUT

          public static final Context2d.Composite DESTINATION_OUT

      B out A. Same as source-out but using the destination image instead of the source image and vice versa.

    - #### DESTINATION_OVER

          public static final Context2d.Composite DESTINATION_OVER

      B over A. Same as source-over but using the destination image instead of the source image and vice versa.

    - #### LIGHTER

          public static final Context2d.Composite LIGHTER

      A plus B. Display the sum of the source image and destination image, with color values approaching 1 as a limit.

    - #### SOURCE_ATOP

          public static final Context2d.Composite SOURCE_ATOP

      A atop B. Display the source image wherever both images are opaque. Display the destination image wherever the destination image is opaque but the source image is transparent. Display transparency elsewhere.

    - #### SOURCE_IN

          public static final Context2d.Composite SOURCE_IN

      A in B. Display the source image wherever both the source image and destination image are opaque. Display transparency elsewhere.

    - #### SOURCE_OUT

          public static final Context2d.Composite SOURCE_OUT

      A out B. Display the source image wherever the source image is opaque and the destination image is transparent. Display transparency elsewhere.

    - #### SOURCE_OVER

          public static final Context2d.Composite SOURCE_OVER

      A over B. Display the source image wherever the source image is opaque. Display the destination image elsewhere.

    - #### XOR

          public static final Context2d.Composite XOR

      A xor B. Exclusive OR of the source image and destination image.

  - ### Method Detail

    - #### values

          public static Context2d.Composite[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Context2d.Composite c : Context2d.Composite.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Context2d.Composite valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()